Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 165399 - sci-libs/linux-gpib (New Package)
Summary: sci-libs/linux-gpib (New Package)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Andreas K. Hüttel
URL: http://linux-gpib.sourceforge.net/
Whiteboard:
Keywords: InVCS
Depends on:
Blocks:
 
Reported: 2007-02-05 03:49 UTC by antonmx
Modified: 2011-05-16 21:11 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
linux-gpib-3.2.08.ebuild (linux-gpib-3.2.08.ebuild,5.29 KB, text/plain)
2007-02-05 03:52 UTC, antonmx
Details
files/linux-gpib-3.2.08-drivers-gpib-sys-osinit.c.patch (linux-gpib-3.2.08-drivers-gpib-sys-osinit.c.patch,478 bytes, text/plain)
2007-02-05 03:53 UTC, antonmx
Details
ChangeLog (ChangeLog,359 bytes, text/plain)
2007-02-05 03:54 UTC, antonmx
Details
rewriten ebuild (linux-gpib-3.2.08.ebuild,5.79 KB, text/plain)
2007-02-06 08:49 UTC, antonmx
Details
new ChangeLog (ChangeLog,622 bytes, text/plain)
2007-02-06 08:50 UTC, antonmx
Details
files/linux-gpib-3.2.08-drivers-make.am.patch (linux-gpib-3.2.08-drivers-make.am.patch,1.09 KB, text/plain)
2007-02-06 08:51 UTC, antonmx
Details
files/linux-gpib-3.2.08-drivers-make.in.patch (linux-gpib-3.2.08-drivers-make.in.patch,1.09 KB, text/plain)
2007-02-06 08:52 UTC, antonmx
Details
linux-gpib-3.2.09.ebuild (linux-gpib-3.2.09.ebuild,5.18 KB, text/plain)
2007-04-18 02:26 UTC, antonmx
Details
files/linux-gpib-3.2.09-drivers-make.am.patch (linux-gpib-3.2.09-drivers-make.am.patch,1.09 KB, text/plain)
2007-04-18 02:27 UTC, antonmx
Details
files/linux-gpib-3.2.09-drivers-make.in.patch (linux-gpib-3.2.09-drivers-make.in.patch,1.09 KB, text/plain)
2007-04-18 02:28 UTC, antonmx
Details
ChangeLog (ChangeLog,889 bytes, text/plain)
2007-04-18 02:32 UTC, antonmx
Details
linux-gpib-3.2.09.ebuild (linux-gpib-3.2.09.ebuild,5.52 KB, text/plain)
2007-05-10 02:49 UTC, antonmx
Details
files/linux-gpib-3.2.09-drivers-make.am.patch (linux-gpib-3.2.09-drivers-make.am.patch,1.25 KB, text/plain)
2007-05-10 02:50 UTC, antonmx
Details
files/linux-gpib-3.2.09-drivers-make.in.patch (linux-gpib-3.2.09-drivers-make.in.patch,1.25 KB, text/plain)
2007-05-10 02:51 UTC, antonmx
Details
ChangeLog (ChangeLog,1.13 KB, text/plain)
2007-05-10 02:51 UTC, antonmx
Details
ebuild which works with 2.6.23 kernels (linux-gpib-3.2.09.ebuild,5.47 KB, text/plain)
2007-11-06 10:42 UTC, antonmx
Details
patch for the 2.6.23 kernels (linux-gpib-3.2.09-for-2.6.23.patch,652 bytes, patch)
2007-11-06 10:44 UTC, antonmx
Details | Diff
updated changelog (ChangeLog,1.34 KB, text/plain)
2007-11-06 10:47 UTC, antonmx
Details
linux-gpib-3.2.10.ebuild (linux-gpib-3.2.10.ebuild,5.48 KB, text/plain)
2008-02-18 07:38 UTC, antonmx
Details
files/linux-gpib-3.2.10-drivers-make.am.patch (linux-gpib-3.2.10-drivers-make.am.patch,1.16 KB, text/plain)
2008-02-18 07:40 UTC, antonmx
Details
files/linux-gpib-3.2.10-drivers-make.in.patch (linux-gpib-3.2.10-drivers-make.in.patch,1.22 KB, text/plain)
2008-02-18 07:41 UTC, antonmx
Details
ChangeLog (ChangeLog,1.60 KB, text/plain)
2008-02-18 07:41 UTC, antonmx
Details
Patch to update the ebuild to 3.2.10-r1 (linux-gpib-3.2.10-r1.ebuild.patch,866 bytes, patch)
2008-09-16 18:54 UTC, Ben Schwartz
Details | Diff
Makefile patch required for 3.2.10-r1 (linux-gpib-3.2.10-language-python-makefile.am.patch,388 bytes, patch)
2008-09-16 18:55 UTC, Ben Schwartz
Details | Diff
Other Makefile patch required for 3.2.10-r1 (linux-gpib-3.2.10-language-python-makefile.in.patch,390 bytes, patch)
2008-09-16 18:56 UTC, Ben Schwartz
Details | Diff
patch for agilent 82357 card (patch_agilent_82357,1.73 KB, patch)
2011-05-04 09:41 UTC, Joop Stakenborg
Details | Diff
patch for NI usb card (patch_ni_usb_gpib,1.74 KB, patch)
2011-05-04 09:42 UTC, Joop Stakenborg
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description antonmx 2007-02-05 03:49:20 UTC
Hi!

Please find attached linux-gpib-3.2.08.ebuild and a patch so that it will 
compile against 2.6.18 and newer kernels.

The Linux GPIB Package is a support package for GPIB (IEEE 488) hardware. The GPIB interface is widely used in science for the communication between various experimental hardware and PC. The package contains kernel driver modules, and a C user-space library with Guile, Perl, PHP, Python and TCL bindings. The API of the C library is intended to be compatible with National Instrument's GPIB library.

I suggest sys-apps/linux-gpib.

Anton.
Comment 1 antonmx 2007-02-05 03:52:24 UTC
Created attachment 109189 [details]
linux-gpib-3.2.08.ebuild

main ebuild
Comment 2 antonmx 2007-02-05 03:53:31 UTC
Created attachment 109190 [details]
files/linux-gpib-3.2.08-drivers-gpib-sys-osinit.c.patch

patch to compile with 2.6.18 and newer kernels
Comment 3 antonmx 2007-02-05 03:54:04 UTC
Created attachment 109192 [details]
ChangeLog

ChangeLog
Comment 4 antonmx 2007-02-06 08:49:52 UTC
Created attachment 109303 [details]
rewriten ebuild

I rewrote the ebuild to aviod usage of the addwrite, making it transparrent to the sandbox.
Comment 5 antonmx 2007-02-06 08:50:24 UTC
Created attachment 109305 [details]
new ChangeLog
Comment 6 antonmx 2007-02-06 08:51:56 UTC
Created attachment 109306 [details]
files/linux-gpib-3.2.08-drivers-make.am.patch

One of two new patches which are needed to make the ebuild transparrent to the sandbox.
Comment 7 antonmx 2007-02-06 08:52:48 UTC
Created attachment 109307 [details]
files/linux-gpib-3.2.08-drivers-make.in.patch

Second of two new patches which are needed to make the ebuild transparrent to the sandbox.
Comment 8 antonmx 2007-02-06 08:53:52 UTC
I rewrote the ebuild to aviod usage of the addwrite, making it transparrent to the sandbox. See new attachments.
Comment 9 antonmx 2007-04-18 02:26:00 UTC
Created attachment 116590 [details]
linux-gpib-3.2.09.ebuild

the ebuild for the recently released new version of the package.
Comment 10 antonmx 2007-04-18 02:27:14 UTC
Created attachment 116591 [details]
files/linux-gpib-3.2.09-drivers-make.am.patch

the patch needed to overcome the sandbox violation
Comment 11 antonmx 2007-04-18 02:28:11 UTC
Created attachment 116593 [details]
files/linux-gpib-3.2.09-drivers-make.in.patch

the patch needed to overcome the sandbox violation
Comment 12 antonmx 2007-04-18 02:32:12 UTC
Created attachment 116595 [details]
ChangeLog

updated ChangeLog
Comment 13 antonmx 2007-05-10 02:49:51 UTC
Created attachment 118700 [details]
linux-gpib-3.2.09.ebuild

Fixed bug which caused the sandbox violation when emerging for the first time (thanks to Felix for the bug report).
Comment 14 antonmx 2007-05-10 02:50:41 UTC
Created attachment 118701 [details]
files/linux-gpib-3.2.09-drivers-make.am.patch

Fixed bug which caused the sandbox violation when emerging for the first time (thanks to Felix for the bug report).
Comment 15 antonmx 2007-05-10 02:51:29 UTC
Created attachment 118703 [details]
files/linux-gpib-3.2.09-drivers-make.in.patch

Fixed bug which caused the sandbox violation when emerging for the first time (thanks to Felix for the bug report).
Comment 16 antonmx 2007-05-10 02:51:54 UTC
Created attachment 118705 [details]
ChangeLog
Comment 17 antonmx 2007-11-06 10:42:34 UTC
Created attachment 135320 [details]
ebuild which works with 2.6.23 kernels

I prepared the patch for the 2.6.23 kernels (see next attachment) and rewrote the ebuild in accordance. Enjoy.
Comment 18 antonmx 2007-11-06 10:44:03 UTC
Created attachment 135322 [details, diff]
patch for the 2.6.23 kernels

the patch for kernels newer than 2.6.23. BTW, here earlier than on the official site..))
Comment 19 antonmx 2007-11-06 10:47:54 UTC
Created attachment 135324 [details]
updated changelog

updated changelog
Comment 20 antonmx 2008-02-18 07:38:52 UTC
Created attachment 143853 [details]
linux-gpib-3.2.10.ebuild

Version bump ebuild
Comment 21 antonmx 2008-02-18 07:40:29 UTC
Created attachment 143854 [details]
files/linux-gpib-3.2.10-drivers-make.am.patch

Patch required for the new ebuild to work
Comment 22 antonmx 2008-02-18 07:41:21 UTC
Created attachment 143855 [details]
files/linux-gpib-3.2.10-drivers-make.in.patch

Patch required for the new ebuild to work
Comment 23 antonmx 2008-02-18 07:41:56 UTC
Created attachment 143857 [details]
ChangeLog

Updated Changelog file.
Comment 24 Ben Schwartz 2008-09-16 18:54:46 UTC
Created attachment 165577 [details, diff]
Patch to update the ebuild to 3.2.10-r1

This patch fixes two issues with the 3.2.10 ebuild:

1. The name of guile has changed from dev-util/guile to dev-scheme/guile
2. The python bindings fail to install properly, because the install procedure does not handle DESTDIR properly.  Solving this issue requires two additional Makefile patches, both of which can and should be upstreamed (upstream is now active).
Comment 25 Ben Schwartz 2008-09-16 18:55:39 UTC
Created attachment 165579 [details, diff]
Makefile patch required for 3.2.10-r1
Comment 26 Ben Schwartz 2008-09-16 18:56:18 UTC
Created attachment 165581 [details, diff]
Other Makefile patch required for 3.2.10-r1
Comment 27 Ben Schwartz 2008-09-16 21:28:11 UTC
Also, the 3.2.10-r1 ebuild and associated patches works cleanly if the ebuild (and all 4 patches) are renamed for the 3.2.11 version bump. So, bump.
Comment 28 antonmx 2008-09-17 00:07:06 UTC
Thank you, Ben, for the patches.

It is not likely that I will continue to work on this ebuild. Because at my new job the IT team cares about all low-level drivers, protocols, etc. Hope someone can maintain future versions of the ebuuild.
Comment 29 WOLfgang Schricker 2008-11-30 00:18:02 UTC
(In reply to comment #27)
> Also, the 3.2.10-r1 ebuild and associated patches works cleanly if the ebuild
> (and all 4 patches) are renamed for the 3.2.11 version bump. So, bump.

Hello,
can I download it anywhere? THX.

Comment 30 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-01 14:42:05 UTC
(this is an automated message based on filtering criteria that matched this bug)
'EBUILD' is in the KEYWORDS which should mean that there is a ebuild attached 
to this bug.
This bug is assigned to maintainer-wanted which means that it is not in the 
main tree.
Heuristics show that no Gentoo developer has commented on your ebuild.

Hello, The Gentoo Team would like to firstly thank you for your ebuild 
submission. We also apologize for not being able to accommodate you in a timely
manner. There are simply too many new packages.

Allow me to use this opportunity to introduce you to Gentoo Sunrise. The 
sunrise overlay[1] is a overlay for Gentoo which we allow trusted users to 
commit to and all users can have ebuilds reviewed by Gentoo devs for entry 
into the overlay. So, the sunrise team is suggesting that you look into this 
and submit your ebuild to the overlay where even *you* can commit to. =)

Because this is a mass message, we are also asking you to be patient with us. 
We anticipate a large number of requests in a short time. 

Thanks,
On behalf of the Gentoo Sunrise Team,
Jeremy.

[1]: http://www.gentoo.org/proj/en/sunrise/
[2]: http://overlays.gentoo.org/proj/sunrise/wiki/SunriseFaq
Comment 31 Andreas K. Hüttel gentoo-dev 2011-01-24 18:00:59 UTC
See the following URL for newer developments (before this goes into the tree):

http://git.overlays.gentoo.org/gitweb/?p=user/dilfridge.git;a=tree;f=sci-libs/linux-gpib;hb=HEAD
Comment 32 Andreas K. Hüttel gentoo-dev 2011-01-31 22:33:47 UTC
Added to the portage tree, package.masked for an initial testing and cleanup period. Please add feedback here to this bug (it will remain open until the package mask is removed).
Comment 33 Joop Stakenborg 2011-05-04 09:40:15 UTC
Hi, 

Recent kernel headers (2.6.37 and higher) no longer have init_MUTEX, init_MUTEX_LOCKED and DECLARE_MUTEX defined in linux/semaphore.h. Because of this, compilation of agilent_82357a.c and ni_usb_gpib.c fails. In fact, no kernel modules be installed.

The MUTEX functions should be replaced with sema functions:

init_MUTEX(tmp) --> sema_init(tmp, 1)
MUTEX_LOCKED(tmp) --> sema_init(tmp, 0)
DECLARE_MUTEX(tmp) --> DEFINE_SEMAPHORE(tmp)

I will attach 2 patches.

Regards,
Joop
Comment 34 Joop Stakenborg 2011-05-04 09:41:49 UTC
Created attachment 272045 [details, diff]
patch for agilent 82357 card
Comment 35 Joop Stakenborg 2011-05-04 09:42:25 UTC
Created attachment 272047 [details, diff]
patch for NI usb card
Comment 36 Joop Stakenborg 2011-05-06 06:09:45 UTC
After notifying upstream about this issue, I was told there is a 3.2.16 version available, which fixes this. :-)

http://sourceforge.net/projects/linux-gpib/files/linux-gpib%20for%202.6.x%20kernels/3.2.16/
Comment 37 Andreas K. Hüttel gentoo-dev 2011-05-14 17:05:49 UTC
(In reply to comment #36)
> After notifying upstream about this issue, I was told there is a 3.2.16 version
> available, which fixes this. :-)
> 
> http://sourceforge.net/projects/linux-gpib/files/linux-gpib%20for%202.6.x%20kernels/3.2.16/

Is bumped in portage, give it a try! Please tell me if it works for you, if yes I will remove the package mask...
Comment 38 Joop Stakenborg 2011-05-16 06:03:54 UTC
Thanks!

Compiles okay with 2.6.37-gentoo-r4 kernel. Tested with a NI PCI-GPIB card, communicating with an agilent network analyzer. Works okay, in a quick test I wrote a little c-program using the gpib library which sets and reads frequencies from the analyzer. No problems. Platform is amd64, so you might want to unmask that also. :-)
Comment 39 Joop Stakenborg 2011-05-16 07:46:48 UTC
Python bindings also working:

------------------------------------
#!/usr/bin/python

import gpib

na = gpib.find ("hp8753")
gpib.write (na, 'PRES;')
gpib.write (na, 'MARK1 1 GHZ;')
gpib.write (na, 'OUTPMARK;')
value = gpib.read (na, 256)
print (value)
------------------------------------

$ ./hp8753_test.py 
  2.261621E-01,  2.470165E+32,   1.000000000E+09
Comment 40 Andreas K. Hüttel gentoo-dev 2011-05-16 21:11:13 UTC
OK great. Package mask removed, time to close this bug! :)